namespace efl { namespace canvas { 
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits<void>::type Object::type_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type type) const
{
    ::efl_canvas_object_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(type));
}
#endif
inline ::efl::eolian::return_traits<Efl_Event_Object_Pointer_Mode>::type Object::pointer_mode_get() const
{
   Efl_Event_Object_Pointer_Mode __return_value =  ::efl_canvas_object_pointer_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Event_Object_Pointer_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::pointer_mode_set( ::efl::eolian::in_traits<Efl_Event_Object_Pointer_Mode>::type pointer_mode) const
{
    ::efl_canvas_object_pointer_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Event_Object_Pointer_Mode,  ::efl::eolian::in_traits<Efl_Event_Object_Pointer_Mode>::type>(pointer_mode));
}
inline ::efl::eolian::return_traits<Efl_Gfx_Render_Op>::type Object::render_op_get() const
{
   Efl_Gfx_Render_Op __return_value =  ::efl_canvas_object_render_op_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Render_Op>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::render_op_set( ::efl::eolian::in_traits<Efl_Gfx_Render_Op>::type render_op) const
{
    ::efl_canvas_object_render_op_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Gfx_Render_Op,  ::efl::eolian::in_traits<Efl_Gfx_Render_Op>::type>(render_op));
}
inline ::efl::eolian::return_traits<bool>::type Object::freeze_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_freeze_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::freeze_events_set( ::efl::eolian::in_traits<bool>::type freeze) const
{
    ::efl_canvas_object_freeze_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(freeze));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Object::clip_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_object_clip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::clip_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type clip) const
{
    ::efl_canvas_object_clip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(clip));
}
inline ::efl::eolian::return_traits<bool>::type Object::repeat_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_repeat_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::repeat_events_set( ::efl::eolian::in_traits<bool>::type repeat) const
{
    ::efl_canvas_object_repeat_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(repeat));
}
inline ::efl::eolian::return_traits<double>::type Object::scale_get() const
{
   double __return_value =  ::efl_canvas_object_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_canvas_object_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<bool>::type Object::key_focus_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_key_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::key_focus_set( ::efl::eolian::in_traits<bool>::type focus) const
{
    ::efl_canvas_object_key_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(focus));
}
inline ::efl::eolian::return_traits<bool>::type Object::is_frame_object_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_is_frame_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::is_frame_object_set( ::efl::eolian::in_traits<bool>::type is_frame) const
{
    ::efl_canvas_object_is_frame_object_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(is_frame));
}
inline ::efl::eolian::return_traits<bool>::type Object::precise_is_inside_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_precise_is_inside_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::precise_is_inside_set( ::efl::eolian::in_traits<bool>::type precise) const
{
    ::efl_canvas_object_precise_is_inside_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(precise));
}
inline ::efl::eolian::return_traits<bool>::type Object::propagate_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_propagate_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::propagate_events_set( ::efl::eolian::in_traits<bool>::type propagate) const
{
    ::efl_canvas_object_propagate_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(propagate));
}
inline ::efl::eolian::return_traits<bool>::type Object::pass_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_pass_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::pass_events_set( ::efl::eolian::in_traits<bool>::type pass) const
{
    ::efl_canvas_object_pass_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(pass));
}
inline ::efl::eolian::return_traits<bool>::type Object::anti_alias_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_anti_alias_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::anti_alias_set( ::efl::eolian::in_traits<bool>::type anti_alias) const
{
    ::efl_canvas_object_anti_alias_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(anti_alias));
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type Object::clipees_get() const
{
   Eina_Iterator * __return_value =  ::efl_canvas_object_clipees_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type>(__return_value);
}
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Object::render_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_object_render_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
#endif
inline ::efl::eolian::return_traits<Efl_Text_Bidirectional_Type>::type Object::paragraph_direction_get() const
{
   Efl_Text_Bidirectional_Type __return_value =  ::efl_canvas_object_paragraph_direction_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Bidirectional_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::paragraph_direction_set( ::efl::eolian::in_traits<Efl_Text_Bidirectional_Type>::type dir) const
{
    ::efl_canvas_object_paragraph_direction_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Bidirectional_Type,  ::efl::eolian::in_traits<Efl_Text_Bidirectional_Type>::type>(dir));
}
inline ::efl::eolian::return_traits<bool>::type Object::no_render_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_no_render_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::no_render_set( ::efl::eolian::in_traits<bool>::type enable) const
{
    ::efl_canvas_object_no_render_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
#ifdef EFL_CANVAS_OBJECT_CLASS_BETA
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits<void>::type Object::legacy_ctor() const
{
    ::efl_canvas_object_legacy_ctor(this->_eo_ptr());
}
#endif
#endif
inline ::efl::eolian::return_traits<bool>::type Object::clipees_has() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_clipees_has(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Object::key_grab( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers,  ::efl::eolian::in_traits<bool>::type exclusive) const
{
   Eina_Bool __return_value =  ::efl_canvas_object_key_grab(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(exclusive));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::key_ungrab( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers) const
{
    ::efl_canvas_object_key_ungrab(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers));
}
inline ::efl::eolian::return_traits<void>::type Object::clip_unset() const
{
    ::efl_canvas_object_clip_unset(this->_eo_ptr());
}
} } 
namespace eo_cxx {
namespace efl { namespace canvas { 
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits<void>::type Object::type_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type type) const
{
    ::efl_canvas_object_type_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(type));
}
#endif
inline ::efl::eolian::return_traits<Efl_Event_Object_Pointer_Mode>::type Object::pointer_mode_get() const
{
   Efl_Event_Object_Pointer_Mode __return_value =  ::efl_canvas_object_pointer_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Event_Object_Pointer_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::pointer_mode_set( ::efl::eolian::in_traits<Efl_Event_Object_Pointer_Mode>::type pointer_mode) const
{
    ::efl_canvas_object_pointer_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Event_Object_Pointer_Mode,  ::efl::eolian::in_traits<Efl_Event_Object_Pointer_Mode>::type>(pointer_mode));
}
inline ::efl::eolian::return_traits<Efl_Gfx_Render_Op>::type Object::render_op_get() const
{
   Efl_Gfx_Render_Op __return_value =  ::efl_canvas_object_render_op_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Render_Op>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::render_op_set( ::efl::eolian::in_traits<Efl_Gfx_Render_Op>::type render_op) const
{
    ::efl_canvas_object_render_op_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Gfx_Render_Op,  ::efl::eolian::in_traits<Efl_Gfx_Render_Op>::type>(render_op));
}
inline ::efl::eolian::return_traits<bool>::type Object::freeze_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_freeze_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::freeze_events_set( ::efl::eolian::in_traits<bool>::type freeze) const
{
    ::efl_canvas_object_freeze_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(freeze));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Object::clip_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_object_clip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::clip_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type clip) const
{
    ::efl_canvas_object_clip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(clip));
}
inline ::efl::eolian::return_traits<bool>::type Object::repeat_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_repeat_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::repeat_events_set( ::efl::eolian::in_traits<bool>::type repeat) const
{
    ::efl_canvas_object_repeat_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(repeat));
}
inline ::efl::eolian::return_traits<double>::type Object::scale_get() const
{
   double __return_value =  ::efl_canvas_object_scale_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::scale_set( ::efl::eolian::in_traits<double>::type scale) const
{
    ::efl_canvas_object_scale_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(scale));
}
inline ::efl::eolian::return_traits<bool>::type Object::key_focus_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_key_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::key_focus_set( ::efl::eolian::in_traits<bool>::type focus) const
{
    ::efl_canvas_object_key_focus_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(focus));
}
inline ::efl::eolian::return_traits<bool>::type Object::is_frame_object_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_is_frame_object_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::is_frame_object_set( ::efl::eolian::in_traits<bool>::type is_frame) const
{
    ::efl_canvas_object_is_frame_object_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(is_frame));
}
inline ::efl::eolian::return_traits<bool>::type Object::precise_is_inside_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_precise_is_inside_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::precise_is_inside_set( ::efl::eolian::in_traits<bool>::type precise) const
{
    ::efl_canvas_object_precise_is_inside_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(precise));
}
inline ::efl::eolian::return_traits<bool>::type Object::propagate_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_propagate_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::propagate_events_set( ::efl::eolian::in_traits<bool>::type propagate) const
{
    ::efl_canvas_object_propagate_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(propagate));
}
inline ::efl::eolian::return_traits<bool>::type Object::pass_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_pass_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::pass_events_set( ::efl::eolian::in_traits<bool>::type pass) const
{
    ::efl_canvas_object_pass_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(pass));
}
inline ::efl::eolian::return_traits<bool>::type Object::anti_alias_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_anti_alias_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::anti_alias_set( ::efl::eolian::in_traits<bool>::type anti_alias) const
{
    ::efl_canvas_object_anti_alias_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(anti_alias));
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type Object::clipees_get() const
{
   Eina_Iterator * __return_value =  ::efl_canvas_object_clipees_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type>(__return_value);
}
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Object::render_parent_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_object_render_parent_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
#endif
inline ::efl::eolian::return_traits<Efl_Text_Bidirectional_Type>::type Object::paragraph_direction_get() const
{
   Efl_Text_Bidirectional_Type __return_value =  ::efl_canvas_object_paragraph_direction_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Bidirectional_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::paragraph_direction_set( ::efl::eolian::in_traits<Efl_Text_Bidirectional_Type>::type dir) const
{
    ::efl_canvas_object_paragraph_direction_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Bidirectional_Type,  ::efl::eolian::in_traits<Efl_Text_Bidirectional_Type>::type>(dir));
}
inline ::efl::eolian::return_traits<bool>::type Object::no_render_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_no_render_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::no_render_set( ::efl::eolian::in_traits<bool>::type enable) const
{
    ::efl_canvas_object_no_render_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enable));
}
#ifdef EFL_CANVAS_OBJECT_CLASS_BETA
#ifdef EFL_CANVAS_OBJECT_CLASS_PROTECTED
inline ::efl::eolian::return_traits<void>::type Object::legacy_ctor() const
{
    ::efl_canvas_object_legacy_ctor(this->_eo_ptr());
}
#endif
#endif
inline ::efl::eolian::return_traits<bool>::type Object::clipees_has() const
{
   Eina_Bool __return_value =  ::efl_canvas_object_clipees_has(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Object::key_grab( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers,  ::efl::eolian::in_traits<bool>::type exclusive) const
{
   Eina_Bool __return_value =  ::efl_canvas_object_key_grab(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(exclusive));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Object::key_ungrab( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type modifiers,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type not_modifiers) const
{
    ::efl_canvas_object_key_ungrab(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(modifiers)
      ,  ::efl::eolian::convert_to_c<Evas_Modifier_Mask,  ::efl::eolian::in_traits<Evas_Modifier_Mask>::type>(not_modifiers));
}
inline ::efl::eolian::return_traits<void>::type Object::clip_unset() const
{
    ::efl_canvas_object_clip_unset(this->_eo_ptr());
}
inline efl::canvas::Object::operator ::efl::canvas::Object() const { return *static_cast< ::efl::canvas::Object const*>(static_cast<void const*>(this)); }
inline efl::canvas::Object::operator ::efl::canvas::Object&() { return *static_cast< ::efl::canvas::Object*>(static_cast<void*>(this)); }
inline efl::canvas::Object::operator ::efl::canvas::Object const&() const { return *static_cast< ::efl::canvas::Object const*>(static_cast<void const*>(this)); }
} } }

